Subject: RE: ocean: do not boil

From: "Bound, Jim" <[email-masked]>
Date: Sat, 21 Sep 2002 10:48:10 -0400

> i don't think we should try to solve the problem of an arbitrary
> user/service on a pure v6 site/host trying to communicate with a
> user/service on a pure v4 site/host or vice versa.

Nor do I for the general case.  The market will solve this problem quickly anyway IMO. 
The one deprecated case that the scenarios will see (all of them) is when they 
are going to a v6site and that ASP site can only provide that service by going 
to a v4 site. It may beg the question do we need an ASP set of scenarios in addition
to ISP scenarios?  Which came up at the Interim meeting.
  
> 
> dns is critical infrastructure, and we need to understand how
> everyone will see the same namespace whether they are on v4 or v6
> transport [0].  and we have some clues on how to do that, point
> mono-stack resolvers at dual-stack caching servers.

that would be nice.

> 
> but services such as http, smtp, blah, blah, blah just can't be
> completely transparent, and we *vastly* increase the size of the
> problem if we try to make them so.

What do you mean by completely transparent?

> 
> if i want my web site seen by both v4 and v6 users, then i can
> connect it to v4 and v6 space and run dual stack.  in fact, i do so
> today.  as v6 deploys, folk every useful site will do so.

we do this today too on the 6bone and internal net.  I don't see a pure 
v6 site that don't have a dual stack for a long time IMO.

> 
> if i want to send mail to v4 users and i live in a pure v6 world,
> then i can make an arrangement with a dual-stack relay to provide
> forwarding service to me.  and to receive mail, i can just point an
> MX naming an A record to a dual-stack forwarding service.

I agree but this should be transparent to the transport the node uses.

> 
> if i want to play a net.game which is in v6-land, then i need to be
> at least partially in v6-land.  no magic.  tough patooties.

I agree.

> 
> trying to make pure v4 sites/hosts communicate for arbitrary
> services with pure v6 sites/hosts and vice verse is a nice way to
> make the problem vastly more complicated, the solutions vastly more
> complex, and the net much less reliable.  let's not go there.

I think I agree but not sure.  Let me provide a scenario I am working for deployment 
as we talk.

user has v6site except for parts suppliers have not completed v6 services 
and for now in the site uses private v4 addreses to get to them. but the v6site
must get data from v4 site to use for its operations that requires use of global
v4 address over Internet network.  Today the user just uses one of their global
v4 addresses for that data transfer. But the network ops design evolution requires 
all sites to move to dominant v6 site.  What will happen though is the network 
edge will move last and remain v4.  The plan is to tunnel v6 inside v4 to communicate
between two v6 sites.

The above assumes I think what you say is way to complex and the net ops plan above
avoids that complexity.

Am I on same wave length as your vector issue?

/jim 

> 
> randy
> 
> ---
> 
> [0] - if you're in private v6 space, i.e. site local or other
>       1918-envy games, use multiple views just as a v4 1918 site
>       does today.
> 
> 
>

---

From: Pekka Savola <[email-masked]>
Date: Sat, 21 Sep 2002 18:23:33 +0300 (EEST)

Some of my own comments.

> to ISP scenarios?  Which came up at the Interim meeting.

ASP is an enterprise, IMO.

If they don't feel providing v6 service important enough, you can always:
 1) switch ASP's so make the market decide
 2) implement some v6 -> v4 translation yourself (we're doing something 
remotely similar ourselves)

> v6 site that don't have a dual stack for a long time IMO.

Yes.

And btw, in especially in enterprise scenarios, one has to really careful
about 'ipv6-only'; there are some services that usually need to be
dual-stack, like authoritative DNS servers, WWW caching proxies, and some
MX's; this can be partially worked around of course.

> Am I on same wave length as your vector issue?

I believe "tunneling v4 through v6" in a completely v6-enabled site is not
too complex.  If it's too complex, the decision to move to v6-only has
possibly been made prematurely (for some part of the network, at least).

In the above case, depending on the service I'd probably provide a TCP 
relay access to the service (if transport-agnostic), or just keep v4 
service until there is no more need for it.

Restricted use of TCP relay is IMO a rather good transition solution for 
some services.

-- 
Pekka Savola                 "Tell me of difficulties surmounted,
Netcore Oy                   not those you stumble over and fall"
Systems. Networks. Security.  -- Robert Jordan: A Crown of Swords